Bug 470405 - bash includes private copies of system libraries
bash includes private copies of system libraries
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 20:14 EST by Conrad Meyer
Modified: 2014-01-12 19:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-13 10:21:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-11-06 20:14:21 EST
Description of problem:
Bash doesn't link with the system readline libraries.


Version-Release number of selected component (if applicable):
3.2-29


How reproducible:
n/a


Steps to Reproduce:
1. n/a
  

Actual results:
$ rpm -qR bash
does not include /lib{,64}/libreadline.so*


Expected results:
It uses system readline, i.e. rpm -qR bash includes the runtime .so of readline.


Additional info:
bash may also bundle its own malloc. See the lib/ subdir of the extracted bash tarball for other libraries bash may include private copies of.

This violates guidelines expressed here: http://fedoraproject.org/wiki/Packaging/Guidelines#Duplication_of_system_libraries
Comment 1 Roman Rakus 2008-11-13 10:21:37 EST
Take a look at bug #144749. It's performance issue.
And if we start using system readline, this will lead to significant divergence from upstream.
Comment 2 Kevin Kofler 2008-11-13 11:14:13 EST
> And if we start using system readline, this will lead to significant divergence
> from upstream.

Upstream supports using a system readline these days!

And I'm not convinced performance is a valid argument for violating the Fedora packaging guidelines.

Note You need to log in before you can comment on or make changes to this bug.